## lomiri-music-app 3.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lomiri-music-app VERSION 3.0.0 LANGUAGES CXX)
include(FindGettext)
if(NOT GETTEXT_FOUND)
    message(FATAL_ERROR "Could not find gettext")
endif(NOT GETTEXT_FOUND)

# Standard install paths
include(GNUInstallDirs)

option(INSTALL_TESTS "Install the tests on make install" off)
option(CLICK_MODE "Installs to a contained location" on)

set(CLICK_NAME music.ubports)
set(APP_NAME music)
set(DESKTOP_FILE "${PROJECT_NAME}.desktop")
set(URLS_FILE "${CLICK_NAME}_${APP_NAME}.url-dispatcher")
set(APP_HARDCODE lomiri-music-app)
set(MAIN_QML app/music-app.qml)
set(ICON_FILE app/graphics/music-app.svg)
set(SPLASH_FILE app/graphics/music-app-splash.svg)
set(AUTOPILOT_DIR lomiri_music_app)
set(MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Tell QtCreator location and name of the manifest file")

if(CLICK_MODE)
    set(CMAKE_INSTALL_PREFIX /)
    set(CMAKE_INSTALL_BINDIR /)
    set(DATA_DIR /)
    set(ICON ${ICON_FILE})
    set(SPLASH ${SPLASH_FILE})
    set(EXEC "qmlscene -qt5 ${MAIN_QML} --url=%u -I ./plugins")
    set(DESKTOP_DIR ${DATA_DIR})
    set(URLS_DIR ${DATA_DIR})

    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json apparmor.json
            music-app-content.json DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${DESKTOP_DIR})
    install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
else(CLICK_MODE)
    set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
    set(EXEC ${APP_HARDCODE})
    set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
    configure_file(${APP_HARDCODE}.in
        ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
        DESTINATION ${CMAKE_INSTALL_BINDIR})
    set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
    set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${DESKTOP_DIR})
    install(FILES music-app-content.json DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers/ RENAME music-app)
    install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
endif(CLICK_MODE)

file(GLOB SRC_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.qml *.js *.png *.js)
install(DIRECTORY app DESTINATION ${DATA_DIR})
install(FILES ${SRC_FILES} ${ICON_FILE} DESTINATION ${DATA_DIR})

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)

add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

# Tests
enable_testing()

add_subdirectory(app)
add_subdirectory(po)
add_subdirectory(tests)

# make the qml files visible on qtcreator
file(GLOB QML_JS_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.qml *.js README* *.url-dispatcher *.txt)

add_custom_target(music_ubports_QMLFiles DEPENDS music-app.qml SOURCES ${QML_JS_FILES})

=== debian/changelog ===
lomiri-music-app (3.0.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1030245).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Feb 2023 15:55:14 +0100

=== debian/control ===
Source: lomiri-music-app
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               intltool,
               python3:any,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-music-app
Vcs-Git: https://salsa.debian.or/ubports-team/lomiri-music-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-music-app

Package: lomiri-music-app
Architecture: all
Depends: mediascanner2.0,
         qmlscene,
         qml-module-qt-labs-settings,
         qml-module-qtmultimedia (>=5.5.1-1ubuntu2),
         qml-module-lomiri-content,
         qml-module-qtquick-localstorage,
         qml-module-qtquick-particles2,
         qml-module-qtquick2,
         qml-module-mediascanner,
         qml-module-lomiri-thumbnailer,
         qml-module-lomiri-components,
         qml-module-lomiri-layouts,
         qml-module-lomiri-performancemetrics,
         qtdeclarative5-usermetrics,
         qml-module-qtquick-window2,
         lomiri-thumbnailer-service,
         suru-icon-theme | ubuntu-mobile-icons,
         ${misc:Depends},
Description: Music player for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Music (Player) App.

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/apps/lomiri-music-app/tags .*/lomiri-music-app-v(\d\S+)\.tar\.gz

## lomiri-music-app 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-music-app VERSION 3.0.0 LANGUAGES CXX)
+project(lomiri-music-app VERSION 3.0.1 LANGUAGES CXX)
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
     message(FATAL_ERROR "Could not find gettext")

=== debian/changelog ===
lomiri-music-app (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Fix dependency (qtdeclarative5-usermetrics -> qml-module-usermetrics).
      (Closes: #1030358).
  * debian/watch:
    + Start watching upstream releases.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 21:25:41 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
          qml-module-lomiri-components,
          qml-module-lomiri-layouts,
          qml-module-lomiri-performancemetrics,
-         qtdeclarative5-usermetrics,
+         qml-module-usermetrics,
          qml-module-qtquick-window2,
          lomiri-thumbnailer-service,
          suru-icon-theme | ubuntu-mobile-icons,

## lomiri-music-app 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-music-app VERSION 3.0.1 LANGUAGES CXX)
+project(lomiri-music-app VERSION 3.0.2 LANGUAGES CXX)
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
     message(FATAL_ERROR "Could not find gettext")

=== app/CMakeLists.txt ===
add_subdirectory(components)
add_subdirectory(graphics)
add_subdirectory(logic)
add_subdirectory(ui)

# make the qml files visible on qtcreator
file(GLOB APP_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
*.qml *.js *.png *.js *.json)

add_custom_target(music_ubports_APP_Files ALL SOURCES ${APP_FILES})

=== app/components/CMakeLists.txt ===
add_subdirectory(Delegates)
add_subdirectory(Dialog)
add_subdirectory(HeadState)
add_subdirectory(Helpers)
add_subdirectory(Flickables)
add_subdirectory(ListItemActions)
add_subdirectory(ViewButton)
add_subdirectory(Walkthrough)

# make the qml files visible on qtcreator
file(GLOB COMPONENTS_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_COMPONENTS_QMLFiles ALL SOURCES ${COMPONENTS_QML_FILES})

=== app/components/Dialog/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB DIALOG_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_DIALOG_QMLFiles ALL SOURCES ${DIALOG_QML_FILES})

=== app/components/Helpers/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB HELPERS_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_HELPERS_QMLFiles ALL SOURCES ${HELPERS_QML_FILES})

=== app/components/ListItemActions/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB ACTIONITEMS_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_ACTIONITEMS_QMLFiles ALL SOURCES ${ACTIONITEMS_QML_FILES})

=== debian/changelog ===
lomiri-music-app (3.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 14:53:37 +0100

lomiri-music-app (3.0.1-2) unstable; urgency=medium

  * debian/control:
    + Fix URL typo in Vcs-Git: field.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 15:40:38 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCLICK_MODE=OFF -DINSTALL_TESTS=off

override_dh_install:
	dh_install
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/components/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/components/Delegates/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/components/Dialog/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/components/Flickables/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/components/HeadState/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/components/Helpers/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/components/ListItemActions/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/components/ViewButton/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/components/Walkthrough/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/graphics/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/logic/CMakeLists.txt
	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/ui/CMakeLists.txt

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/apps/lomiri-music-app/tags .*/lomiri-music-app-v(\d\S+)\.tar\.gz

## lomiri-music-app 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-music-app VERSION 3.0.2 LANGUAGES CXX)
+project(lomiri-music-app VERSION 3.0.3 LANGUAGES CXX)
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
     message(FATAL_ERROR "Could not find gettext")
@@ -28,7 +28,7 @@
     set(DATA_DIR /)
     set(ICON ${ICON_FILE})
     set(SPLASH ${SPLASH_FILE})
-    set(EXEC "qmlscene -qt5 ${MAIN_QML} --url=%u -I ./plugins")
+    set(EXEC "lomiri-music-app-migrate.py qmlscene -qt5 ${MAIN_QML} --url=%u -I ./plugins")
     set(DESKTOP_DIR ${DATA_DIR})
     set(URLS_DIR ${DATA_DIR})
 
@@ -60,6 +60,8 @@
 install(DIRECTORY app DESTINATION ${DATA_DIR})
 install(FILES ${SRC_FILES} ${ICON_FILE} DESTINATION ${DATA_DIR})
 
+install(PROGRAMS lomiri-music-app-migrate.py DESTINATION ${DATA_DIR})
+
 configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
 
 add_custom_target(${DESKTOP_FILE} ALL

=== app/components/Walkthrough/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB WALKTHROUGH_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_WALKTHROUGH_QMLFiles ALL SOURCES ${WALKTHROUGH_QML_FILES})

=== tests/autopilot/lomiri_music_app/CMakeLists.txt ===
add_subdirectory(tests)

# make the emulator files visible on qtcreator
file(GLOB PYTHON_EMULATOR_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.py)

add_custom_target(music_ubports_PYTHONEMULATORFiles ALL SOURCES ${PYTHON_EMULATOR_FILES})

=== debian/changelog ===
lomiri-music-app (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Drop lomiri-music-app-migrate.py from bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 11:44:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-music-app
-Vcs-Git: https://salsa.debian.or/ubports-team/lomiri-music-app.git
+Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-music-app.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-music-app
 
 Package: lomiri-music-app

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/graphics/CMakeLists.txt
 	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/logic/CMakeLists.txt
 	rm debian/lomiri-music-app/usr/share/lomiri-music-app/app/ui/CMakeLists.txt
+	rm debian/lomiri-music-app/usr/share/lomiri-music-app/lomiri-music-app-migrate.py
 
 override_dh_missing:
 	dh_missing --fail-missing

## lomiri-music-app 3.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-music-app VERSION 3.0.3 LANGUAGES CXX)
+project(lomiri-music-app VERSION 3.0.4 LANGUAGES CXX)
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
     message(FATAL_ERROR "Could not find gettext")
@@ -14,7 +14,6 @@
 set(CLICK_NAME music.ubports)
 set(APP_NAME music)
 set(DESKTOP_FILE "${PROJECT_NAME}.desktop")
-set(URLS_FILE "${CLICK_NAME}_${APP_NAME}.url-dispatcher")
 set(APP_HARDCODE lomiri-music-app)
 set(MAIN_QML app/music-app.qml)
 set(ICON_FILE app/graphics/music-app.svg)
@@ -30,6 +29,7 @@
     set(SPLASH ${SPLASH_FILE})
     set(EXEC "lomiri-music-app-migrate.py qmlscene -qt5 ${MAIN_QML} --url=%u -I ./plugins")
     set(DESKTOP_DIR ${DATA_DIR})
+    set(URLS_FILE "${CLICK_NAME}_${APP_NAME}.url-dispatcher")
     set(URLS_DIR ${DATA_DIR})
 
     configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
@@ -37,7 +37,6 @@
             music-app-content.json DESTINATION ${CMAKE_INSTALL_PREFIX})
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${DESKTOP_DIR})
-    install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
 else(CLICK_MODE)
     set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
     set(EXEC ${APP_HARDCODE})
@@ -47,11 +46,11 @@
     install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
         DESTINATION ${CMAKE_INSTALL_BINDIR})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
+    set(URLS_FILE "${PROJECT_NAME}.url-dispatcher")
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${DESKTOP_DIR})
     install(FILES music-app-content.json DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers/ RENAME music-app)
-    install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
 endif(CLICK_MODE)
 
 file(GLOB SRC_FILES
@@ -59,6 +58,7 @@
      *.qml *.js *.png *.js)
 install(DIRECTORY app DESTINATION ${DATA_DIR})
 install(FILES ${SRC_FILES} ${ICON_FILE} DESTINATION ${DATA_DIR})
+install(FILES ${PROJECT_NAME}.url-dispatcher DESTINATION ${URLS_DIR} RENAME ${URLS_FILE})
 
 install(PROGRAMS lomiri-music-app-migrate.py DESTINATION ${DATA_DIR})

=== debian/changelog ===
lomiri-music-app (3.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Jun 2024 15:27:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                intltool,
                python3:any,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-music-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-music-app.git

## lomiri-music-app 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-music-app VERSION 3.0.4 LANGUAGES CXX)
+project(lomiri-music-app VERSION 3.1.1 LANGUAGES CXX)
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
     message(FATAL_ERROR "Could not find gettext")
@@ -50,7 +50,7 @@
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${DESKTOP_DIR})
-    install(FILES music-app-content.json DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers/ RENAME music-app)
+    install(FILES music-app-content.json DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers/ RENAME lomiri-music-app)
 endif(CLICK_MODE)
 
 file(GLOB SRC_FILES

=== debian/changelog ===
lomiri-music-app (3.1.1-2) unstable; urgency=medium

  * debian/:
    + Enable user-session-migration debhelper feature.
    + Add user-session-migration script lomiri-music-app_01_update-content-
      hub.sh.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Sep 2024 10:19:33 +0200

lomiri-music-app (3.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Sep 2024 14:57:44 +0200

lomiri-music-app (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Sep 2024 14:37:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               dh-user-session-migration,
                intltool,
                python3:any,
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ --with user-session-migration
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCLICK_MODE=OFF -DINSTALL_TESTS=off

## lomiri-music-app 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-music-app VERSION 3.1.1 LANGUAGES CXX)
+project(lomiri-music-app VERSION 3.2.0 LANGUAGES CXX)
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
     message(FATAL_ERROR "Could not find gettext")
@@ -41,10 +41,7 @@
     set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
     set(EXEC ${APP_HARDCODE})
     set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
-    configure_file(${APP_HARDCODE}.in
-        ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
-    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
-        DESTINATION ${CMAKE_INSTALL_BINDIR})
+    set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
     set(URLS_FILE "${PROJECT_NAME}.url-dispatcher")
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
@@ -52,6 +49,9 @@
         DESTINATION ${DESKTOP_DIR})
     install(FILES music-app-content.json DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers/ RENAME lomiri-music-app)
 endif(CLICK_MODE)
+
+find_package (Qt5 COMPONENTS Core Gui Widgets Qml Quick REQUIRED)
+configure_file (config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
 
 file(GLOB SRC_FILES
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}

=== debian/changelog ===
lomiri-music-app (3.2.0-3) unstable; urgency=medium

  * debian/patches:
    + Update 0002_embedded-mpris-support.patch (add media-hub service-registered
      check, disable player controls if no music there to be played).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Nov 2024 10:45:55 +0100

lomiri-music-app (3.2.0-2) unstable; urgency=medium

  * debian/control:
    + Add to B-D: pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 25 Oct 2024 22:30:26 +0200

lomiri-music-app (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Drop 0001_CMakeLists.txt-Define-SPLASH-CMake-variable-when-bui.patch.
      Applied upstream.
    + Add 0002_embedded-mpris-support.patch. Provide MPRISv2 support natively
      (for scenarios where media-hub is not available).
    + Add 0003_lomiri-music-app--url-cmdline-arg.patch. Add --url=%u cmdline
      argument to Exec= field in .desktop file.
  * debian/rules:
    + Line-wrap configure arguments.
    + Drop inaccurate / obsolete comment.
    + Build with -DADD_MPRIS.
  * debian/control:
    + Drop from B-D: python3:any.
    + Adjust to C++-wrapped lomiri-music-app (vs. previous qmlscene-wrapped
      app). This esp. switches the bin:pkg from arch:all to arch:any.
    + Add B-D: libmpris-qt5-dev (for MPRIS patch shipped in DEB package).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 25 Oct 2024 17:43:31 +0200

lomiri-music-app (3.1.1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_CMakeLists.txt-Define-SPLASH-CMake-variable-when-bui.patch. Fix
      splash image not shown on app startup.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Oct 2024 16:24:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,10 @@
                debhelper-compat (= 13),
                dh-user-session-migration,
                intltool,
-               python3:any,
+               libmpris-qt5-dev,
+               pkgconf,
+               qtdeclarative5-dev,
+               qtdeclarative5-dev-tools,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-music-app
@@ -16,9 +19,8 @@
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-music-app
 
 Package: lomiri-music-app
-Architecture: all
+Architecture: any
 Depends: mediascanner2.0,
-         qmlscene,
          qml-module-qt-labs-settings,
          qml-module-qtmultimedia (>=5.5.1-1ubuntu2),
          qml-module-lomiri-content,
@@ -35,6 +37,7 @@
          lomiri-thumbnailer-service,
          suru-icon-theme | ubuntu-mobile-icons,
          ${misc:Depends},
+         ${shlibs:Depends},
 Description: Music player for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+NULL =
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -17,7 +14,10 @@
 	dh $@ --with user-session-migration
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCLICK_MODE=OFF -DINSTALL_TESTS=off
+	dh_auto_configure -- -DCLICK_MODE=OFF		\
+	                     -DINSTALL_TESTS=OFF	\
+	                     -DADD_MPRIS=ON		\
+	                     $(NULL)
 
 override_dh_install:
 	dh_install

## lomiri-music-app 3.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-music-app VERSION 3.2.0 LANGUAGES CXX)
+project(lomiri-music-app VERSION 3.2.2 LANGUAGES CXX)
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
     message(FATAL_ERROR "Could not find gettext")
@@ -15,7 +15,6 @@
 set(APP_NAME music)
 set(DESKTOP_FILE "${PROJECT_NAME}.desktop")
 set(APP_HARDCODE lomiri-music-app)
-set(MAIN_QML app/music-app.qml)
 set(ICON_FILE app/graphics/music-app.svg)
 set(SPLASH_FILE app/graphics/music-app-splash.svg)
 set(AUTOPILOT_DIR lomiri_music_app)
@@ -27,7 +26,7 @@
     set(DATA_DIR /)
     set(ICON ${ICON_FILE})
     set(SPLASH ${SPLASH_FILE})
-    set(EXEC "lomiri-music-app-migrate.py qmlscene -qt5 ${MAIN_QML} --url=%u -I ./plugins")
+    set(EXEC "lomiri-music-app-migrate.py ${APP_HARDCODE} --url=%u")
     set(DESKTOP_DIR ${DATA_DIR})
     set(URLS_FILE "${CLICK_NAME}_${APP_NAME}.url-dispatcher")
     set(URLS_DIR ${DATA_DIR})
@@ -37,9 +36,15 @@
             music-app-content.json DESTINATION ${CMAKE_INSTALL_PREFIX})
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${DESKTOP_DIR})
+    #query the target architecture
+    execute_process(
+        COMMAND dpkg-architecture -qDEB_HOST_ARCH
+        OUTPUT_VARIABLE CLICK_ARCH
+        OUTPUT_STRIP_TRAILING_WHITESPACE
+    )
 else(CLICK_MODE)
     set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
-    set(EXEC ${APP_HARDCODE})
+    set(EXEC "${APP_HARDCODE} --url=%u")
     set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
     set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+add_subdirectory(src)
 add_subdirectory(components)
 add_subdirectory(graphics)
 add_subdirectory(logic)

=== app/src/CMakeLists.txt ===
set (CMAKE_AUTOMOC ON)
include_directories (${CMAKE_BINARY_DIR})
add_executable ("lomiri-music-app" main.cpp musicplayer.cpp musicplayer.h)
target_link_libraries ("lomiri-music-app" Qt5::Core Qt5::Widgets Qt5::Qml Qt5::Quick Qt5::Gui)
install(TARGETS "lomiri-music-app" RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tests/autopilot/CMakeLists.txt ===
if(INSTALL_TESTS)
execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif(INSTALL_TESTS)

add_subdirectory(lomiri_music_app)

=== debian/changelog ===
lomiri-music-app (3.2.2-3) unstable; urgency=medium

  * debian/patches:
    + Update 0002_embedded-mpris-support.patch. Rewritten in QML.
  * debian/control:
    + Add D: qml-module-org-nemomobile-mpris.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 01 Dec 2024 17:57:00 +0100

lomiri-music-app (3.2.2-2) unstable; urgency=medium

  * debian/patches:
    + Amend 0002_embedded-mpris-support.patch. Use 'mApplication' in QML, not
      'application'. FIxes black frame without content when music app gets
      opened.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Nov 2024 22:34:34 +0100

lomiri-music-app (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Update 0002_embedded-mpris-support.patch from upstream MR.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Nov 2024 15:35:16 +0100

lomiri-music-app (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003_lomiri-music-app--url-cmdline-arg.patch. Applied upstream.
  * debian/rules:
    + Add file removal (<DATADIR>/app/src/CMakeLists.txt).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Nov 2024 12:51:15 +0100

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
          qml-module-lomiri-components,
          qml-module-lomiri-layouts,
          qml-module-lomiri-performancemetrics,
+         qml-module-org-nemomobile-mpris,
          qml-module-usermetrics,
          qml-module-qtquick-window2,
          lomiri-thumbnailer-service,

## lomiri-music-app 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-music-app VERSION 3.2.2 LANGUAGES CXX)
+project(lomiri-music-app VERSION 3.3.0 LANGUAGES CXX)
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
     message(FATAL_ERROR "Could not find gettext")
@@ -43,10 +43,10 @@
         OUTPUT_STRIP_TRAILING_WHITESPACE
     )
 else(CLICK_MODE)
-    set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
+    set(DATA_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${APP_HARDCODE})
     set(EXEC "${APP_HARDCODE} --url=%u")
-    set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
-    set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
+    set(ICON ${DATA_DIR}/${ICON_FILE})
+    set(SPLASH ${DATA_DIR}/${SPLASH_FILE})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
     set(URLS_FILE "${PROJECT_NAME}.url-dispatcher")
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)

=== po/CMakeLists.txt ===
include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
  ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

# Creates the .pot file containing the translations template
add_custom_target(${POT_FILE} ALL
  COMMENT "Generating translation template"
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          --from-code=UTF-8
          --language=Desktop
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          -D ${CMAKE_BINARY_DIR}
          ${DESKTOP_FILE}.in
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          -D ${CMAKE_SOURCE_DIR}
          -D ${CMAKE_CURRENT_SOURCE_DIR}
          -D ${CMAKE_CURRENT_BINARY_DIR}
          --from-code=UTF-8
          --c++ --qt --add-comments=TRANSLATORS
          --keyword=tr --keyword=tr:1,2 --keyword=N_
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          --join-existing --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

# make the translation files visible on qtcreator
file(GLOB TRANSLATION_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.po *.pot)

add_custom_target(music_ubports_TRANSLATIONFiles ALL SOURCES ${TRANSLATION_FILES})

=== app/graphics/CMakeLists.txt ===
# make the image files visible on qtcreator
file(GLOB IMAGE_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.png *.svg)

add_custom_target(music_ubports_IMAGEFiles ALL SOURCES ${IMAGE_FILES})

=== app/logic/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB LOGIC_JS_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.js)

add_custom_target(music_ubports_LOGIC_JSFiles ALL SOURCES ${LOGIC_JS_FILES})

=== app/ui/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB UI_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_UI_QMLFiles ALL SOURCES ${UI_QML_FILES})

=== app/components/Delegates/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB DELEGATES_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_DELEGATES_QMLFiles ALL SOURCES ${DELEGATES_QML_FILES})

=== app/components/Flickables/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB FLICKABLES_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_FLICKABLES_QMLFiles ALL SOURCES ${FLICKABLES_QML_FILES})

=== app/components/HeadState/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB HEAD_STATE_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_HEAD_STATE_QMLFiles ALL SOURCES ${HEAD_STATE_QML_FILES})

=== app/components/ViewButton/CMakeLists.txt ===
# make the qml files visible on qtcreator
file(GLOB VIEW_BUTTON_QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml)

add_custom_target(music_ubports_VIEW_BUTTON_QMLFiles ALL SOURCES ${VIEW_BUTTON_QML_FILES})

=== debian/changelog ===
lomiri-music-app (3.3.0-2) unstable; urgency=medium

  * debian/*.user-session-migration:
    + Replace non-dash script lomiri-music-app_01_update-content-hub.sh by
      Python script lomiri-music-app_01_update-content-hub. The user-session-
      migration enforces shell execution via /bin/sh (dash in Debian) which
      does not support shell arrays. (Closes: #1110976).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 13 Aug 2025 23:11:27 +0200

lomiri-music-app (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Add 2001_hide-app-if-not-in-lomiri.patch.
    + Rebase 0002_embedded-mpris-support.patch.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 15:58:03 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pkgconf,
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-music-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-music-app.git

=== debian/watch ===
version=4
opts="searchmode=plain, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/apps/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
